apiVersion: 1

datasources:
   # <string, required> name of the datasource. Required
 - name: prometheus
   # <string, required> datasource type. Required
   type: prometheus
   # <string, required> access mode. direct or proxy. Required
   access: proxy
   # <int> org id. will default to orgId 1 if not specified
   orgId: 1
   # <string> url
   url: http://prometheus:9090
   # <string> database password, if used
   # password:
   # <string> database user, if used
   # user:
   # <string> database name, if used
   # database:
   # <bool> enable/disable basic auth
   # basicAuth:
   # <string> basic auth username
   # basicAuthUser:
   # <string> basic auth password
   # basicAuthPassword:
   # <bool> enable/disable with credentials headers
   # withCredentials:
   # <bool> mark as default datasource. Max one per org
   isDefault: true
   # <map> fields that will be converted to json and stored in json_data
   # jsonData:
   #    graphiteVersion: "1.1"
   #    tlsAuth: true
   #    tlsAuthWithCACert: true
   #    httpHeaderName1: "Authorization"
   # <string> json object of data that will be encrypted.
   # secureJsonData:
   #   tlsCACert: "..."
   #   tlsClientCert: "..."
   #   tlsClientKey: "..."
   #   httpHeaderValue1: "Bearer xf5yhfkpsnmgo"
   version: 1
   # <bool> allow users to edit datasources from the UI.
   editable: false
